## ffmpeg 2.7.2

=== debian/changelog ===
ffmpeg (7:2.7.2-1build1) wily; urgency=medium

  * No-change rebuild for opencv library renames.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Aug 2015 11:43:18 +0200

ffmpeg (7:2.7.2-1) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Add myself to uploaders.
  * Merge qt-faststart back into 'ffmpeg'.

  [ Andreas Cadhalpun ]
  * Upload to unstable.
  * Import new upstream bugfix release 2.7.2.
     - Make -xerror with multi-threading more robust. (Closes: #780344)
  * Enable frei0r, opencv, x264, x265 on x32 and x265 on sparc64.
  * Disable x264 on sparc64 due to #792921.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Mon, 20 Jul 2015 10:23:49 +0200

ffmpeg (7:2.7.1-2) experimental; urgency=medium

  [ Andreas Cadhalpun ]
  * Build libavcodec-extra flavor.
  * Add encdec-extra autopkgtest for the libavcodec-extra flavor.
  * Add lib*-dev and libav-tools-links packages.
  * Drop README.Debian.
  * Remove bogus apng-ffm autopkg test.
  * Explicitly build-depend on liblzma-dev used by the tiff decoder.
  * Use the pkg-multimedia repository for the Vcs links.
  * Use the plain lib*-dev packages for the test dependencies.
  * Disable libssh on sparc due to #790067.
  * Remove temporary gdb dependency on sparc64.
  * Enable openal on sparc64.

  [ Carl Eugen Hoyos ]
  * Disable x265 on alpha due to #789807.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Thu, 09 Jul 2015 23:42:42 +0200

ffmpeg (7:2.7.1-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.7.1.
  * Use DEB_LDFLAGS_MAINT_STRIP for removing the Bsymbolic-functions flag.
  * Use lissh-gcrypt-dev to avoid linking against libssl.
  * Disable DH_VERBOSE in debian/rules.
  * Add libavresample-ffmpeg2 and qt-faststart dependencies to ffmpeg-dbg.
  * Enable opencv and zvbi on m68k, disable opencv on alpha.
  * Remove unused, optional and private avpriv_emms_yasm from symbols file.
  * Build an altivec flavor on powerpc.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sun, 21 Jun 2015 23:38:07 +0200

ffmpeg (7:2.7-1) unstable; urgency=medium

  * Import new major upstream release 2.7.
     - Suggest new mpeg4_unpack_bframes bitstream filter instead of
       VirtualDub/Avidemux. (Closes: #781510)
  * Add new symbols.
  * Change maintainer to the pkg-multimedia team and move myself to uploaders.
  * Let ffmpeg suggest ffmpeg-doc.
  * Fix encdec autopkgtest to not fail, when skipping tests.
  * Restrict shlib-with-non-pic-code lintian override to i386.
    Thanks to Jakub Wilk for the hint.
  * Use '-strict -2' in the encdec autopkgtest also for probing/decoding.
  * Disable loongson3 optimizations on mips, because they are not always
    available.
  * Update debian/copyright.
  * Update debian/tests/encdec_list.txt.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Thu, 11 Jun 2015 00:47:35 +0200

ffmpeg (7:2.6.3-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.6.3.
  * Don't install the pc-uninstalled directory.
    It is only useful in the source.
  * Use 'set -e' in the autopkgtests.
  * Explicitly build-depend on pkg-config.
  * Enable gnutls and librtmp on sparc64, libvpx and libsdl on x32 and
    opencv on powerpcspe, since they are now available.
  * Disable i686 optimizations on (hurd-)i386, because i586 is still
    supported.
  * Temporarily use gdb in sparc64 builds to investigate test failures.
  * Re-enable assembler optimizations on ppc64el, since they are
    finally really fixed.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sun, 17 May 2015 22:03:38 +0200

ffmpeg (7:2.6.2-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.6.2.
  * Drop build-dependency on bc, the tests use awk since 2.6.
  * Drop override_dh_strip in debian/rules, because binutils is now built
    with --enable-deterministic-archives.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sun, 12 Apr 2015 22:51:20 +0200
