## ffmpeg 2.7.6

=== debian/changelog ===
ffmpeg (7:2.7.6-0ubuntu0.15.10.1) wily-security; urgency=medium

  * Import new upstream bugfix release 2.7.6.
     - Fixes CVE-2016-2213. (LP: #1541622)
  * Use ubuntu versions for debian-tag in gbp.conf.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Wed, 03 Feb 2016 23:38:37 +0100

ffmpeg (7:2.7.5-0ubuntu0.15.10.1) wily-security; urgency=medium

  * Import new upstream bugfix release 2.7.5.
     - Fixes CVE-2016-1897 and CVE-2016-1898. (LP: #1533367)

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Fri, 15 Jan 2016 21:05:04 +0100

ffmpeg (7:2.7.4-0ubuntu0.15.10.1) wily-security; urgency=medium

  * Import new upstream bugfix release 2.7.4. (LP: #1528682)

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Tue, 22 Dec 2015 21:29:09 +0100

ffmpeg (7:2.7.3-0ubuntu0.15.10.1) wily-security; urgency=medium

  [ Andreas Cadhalpun ]
  * Import new upstream bugfix release 2.7.3. (LP: #1518549)

  [ Fabian Greffrath ]
  * Add alternative Depends: libavcodec-ffmpeg-extra56 to libavcodec-dev and
    ffmpeg-dbg to allow for building and debugging with this library installed.
    (LP: #1509632)

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 21 Nov 2015 12:16:22 +0100
