=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ffmpeg
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>,
  Alexander Strasser <eclipse7@gmx.net>,
  Reinhard Tartler <siretart@tauware.de>
@@ -179,7 +180,7 @@
 Multi-Arch: same
 Depends:
  ffmpeg (= ${binary:Version}),
- libavcodec-ffmpeg56 (= ${binary:Version}),
+ libavcodec-ffmpeg56 (= ${binary:Version}) | libavcodec-ffmpeg-extra56 (= ${binary:Version}),
  libavdevice-ffmpeg56 (= ${binary:Version}),
  libavfilter-ffmpeg5 (= ${binary:Version}),
  libavformat-ffmpeg56 (= ${binary:Version}),
@@ -302,7 +303,7 @@
 Conflicts:
  libavcodec-libav-dev
 Depends:
- libavcodec-ffmpeg56 (= ${binary:Version}),
+ libavcodec-ffmpeg56 (= ${binary:Version}) | libavcodec-ffmpeg-extra56 (= ${binary:Version}),
  libavutil-dev (= ${binary:Version}),
  libswresample-dev (= ${binary:Version}),
  ${misc:Depends}
@@ -363,7 +364,3 @@
 Description: FFmpeg library for handling input and output devices - development files
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
  mux, demux, stream, filter and play pretty much anything that humans and
- machines have created. It supports the most obscure ancient formats up to the
- cutting edge.
- .
- This library provides a generic framework for grabbing from and rendering to
