## ffmpeg 2.8.3

=== debian/changelog ===
ffmpeg (7:2.8.3-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 16 Dec 2015 17:31:02 -0800

ffmpeg (7:2.8.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 06 Dec 2015 22:16:41 +0100

ffmpeg (7:2.8.3-1) unstable; urgency=medium

  * Switch debian/watch to xz instead of gz.
  * Import new upstream bugfix release 2.8.3.
    Fixes CVE-2015-8363, CVE-2015-8364 and CVE-2015-8365. (Closes: #806519)
  * Respect CC and CXX from the environment in debian/rules.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 28 Nov 2015 11:39:49 +0100

ffmpeg (7:2.8.2-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.8.2.
     - videodsp: don't overread edges in vfix3 emu_edge. (Closes: #801745)
  * Drop avcodec-vp8-Do-not-use-num_coeff_partitions-in-thread.patch
    included upstream.
  * Use system bootstrap for ffmpeg-doc.
  * Remove now unused bootstrap sources.
  * Add build-profile support for stage1, disabling frei0r, opencv and x264.
  * Drop now unnecessary embedded-library lintian-overrides.
  * Re-enable libdc1394 on sparc64, as libudev is working again.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Thu, 12 Nov 2015 23:58:49 +0100
>>>>>>> debian/7%2.8.3-1

ffmpeg (7:2.8.1-1) unstable; urgency=medium

  [ Balint Reczey ]
  * Add myself to uploaders.

  [ Andreas Cadhalpun ]
  * Import new upstream bugfix release 2.8.1.
  * Remove hls-only-seek-if-there-is-an-offset.patch included upstream.
  * Add avcodec-vp8-Do-not-use-num_coeff_partitions-in-thread.patch to
    fix CVE-2015-6761.
  * Enable x264 on mips64el and opencv on alpha.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Thu, 15 Oct 2015 00:26:09 +0200

ffmpeg (7:2.8-1) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Pass the --dbg-package=ffmpeg-dbg parameter only to dh_strip.
  * Add alternative Depends: libavcodec-ffmpeg-extra56 to libavcodec-dev and
    ffmpeg-dbg to allow for building and debugging with this library installed.

  [ Andreas Cadhalpun ]
  * Import new major upstream release 2.8.
  * Remove the transitional lib*-ffmpeg-dev packages.
  * Drop old Breaks on kodi-bin.
  * Drop workaround for sparc, which is no Debian architecture anymore.
  * Re-enable x265 on alpha, as it's available again.
  * Disable unavailable frei0r, opencv and x264 on mips64el.
  * Disable libopenjpeg (#787275) and libschroedinger (#787957) decoders.
    (Closes: #786670)
  * Disable libdc1394 on sparc64, because it links against the broken due to
    #790560 libudev1.
  * Enable libsnappy support.
  * Add new symbols.
  * Update debian/copyright.
  * Update debian/tests/encdec_list.txt.
  * Add hls-only-seek-if-there-is-an-offset.patch. (Closes: #798189)
  * Add 'Breaks: libavutil-ffmpeg54 (>= 8:0)' to the libraries.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Tue, 22 Sep 2015 15:15:20 +0200

ffmpeg (7:2.7.2-2) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Tighten breaks/replaces on libav-tools. (Closes: #793085)
  * Take over the libav-tools package.

  [ Andreas Cadhalpun ]
  * Rename d/libav-tools-links.links to d/libav-tools.links.
  * Disable libsoxr support to workaround glibc bug #793641.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Mon, 17 Aug 2015 22:45:02 +0200
