=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: ffmpeg
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>,
  Alexander Strasser <eclipse7@gmx.net>,
- Reinhard Tartler <siretart@tauware.de>
+ Reinhard Tartler <siretart@tauware.de>,
+ Balint Reczey <balint@balintreczey.hu>
 Homepage: https://ffmpeg.org/
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ffmpeg.git
@@ -19,7 +21,9 @@
  node-less
 Build-Depends:
 # needed for dh
- debhelper (>= 9),
+ debhelper (>= 9.20141010),
+# for build-profile support
+ dpkg-dev (>= 1.17.14),
 # --enable-libflite
  flite1-dev,
 # --enable-frei0r
@@ -75,7 +79,7 @@
 # --enable-libopencore_amrwb
  libopencore-amrwb-dev,
 # --enable-libopencv
- libopencv-dev [!alpha !sh4 !sparc64],
+ libopencv-dev [!sh4 !sparc64 !mips64el],
 # --enable-libopenjpeg
  libopenjpeg-dev,
 # --enable-libopus
@@ -95,12 +99,14 @@
  libsdl-dev,
 # --enable-libshine
  libshine-dev (>= 3.0.0),
+# --enable-libsnappy
+ libsnappy-dev,
 # --enable-libsoxr
- libsoxr-dev [!sparc64],
+# libsoxr-dev [!sparc64],
 # --enable-libspeex
  libspeex-dev,
 # --enable-libssh
- libssh-gcrypt-dev [!sparc],
+ libssh-gcrypt-dev,
 # --enable-libtheora
  libtheora-dev,
 # --enable-libtwolame
@@ -127,7 +133,7 @@
 # --enable-libx264
  libx264-dev [!sparc64],
 # --enable-libx265
- libx265-dev [!alpha],
+ libx265-dev,
 # --enable-x11grab
  libxext-dev,
 # --enable-libxvid
@@ -156,10 +162,10 @@
  ${misc:Depends}
 Suggests:
  ffmpeg-doc
-Breaks: libav-tools (<< 6:9~),
- qt-faststart (<< 7:2.7.1-3~)
-Replaces: libav-tools (<< 6:12~),
- qt-faststart (<< 7:2.7.1-3~)
+Breaks: libav-tools (<< 6:12~~),
+ qt-faststart (<< 7:2.8.3~)
+Replaces: libav-tools (<< 6:12~~),
+ qt-faststart (<< 7:2.8.3~)
 Description: Tools for transcoding, streaming and playing of multimedia files
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
  mux, demux, stream, filter and play pretty much anything that humans and
@@ -205,6 +211,7 @@
 Multi-Arch: foreign
 Depends:
  libjs-jquery,
+ libjs-bootstrap,
  ${misc:Depends}
 Description: Documentation of the FFmpeg multimedia framework
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
@@ -225,6 +232,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
+Breaks: libavutil-ffmpeg54 (>= 8:0)
 Description: FFmpeg library with de/encoders for audio/video codecs - runtime files
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
  mux, demux, stream, filter and play pretty much anything that humans and
@@ -252,6 +260,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
+Breaks: libavutil-ffmpeg54 (>= 8:0)
 Description: FFmpeg library with additional de/encoders for audio/video codecs
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
  mux, demux, stream, filter and play pretty much anything that humans and
@@ -332,6 +341,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
+Breaks: libavutil-ffmpeg54 (>= 8:0)
 Description: FFmpeg library for handling input and output devices - runtime files
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
  mux, demux, stream, filter and play pretty much anything that humans and
@@ -361,6 +371,3 @@
  libswscale-dev (= ${binary:Version}),
  libswresample-dev (= ${binary:Version}),
  ${misc:Depends}
-Description: FFmpeg library for handling input and output devices - development files
- FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
- mux, demux, stream, filter and play pretty much anything that humans and
