=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 #   --enable-libcelt                (see #676592: removed from Debian as abandoned upstream, replaced by opus)
 #   --enable-libdcadec
 #   --enable-libilbc                (see #675959 for the RFP bug)
+#   --enable-libkvazaar
 #   --enable-libmfx
 #   --enable-libnut
 #   --enable-libopenh264
@@ -46,6 +47,7 @@
 #   * --enable-libv4l2 [!hurd-any]: This is only needed for very old devices and may cause problems for others.
 #                                   Should anyone need it, using LD_PRELOAD pointing on libv4l2 has the same effect.
 #   * --enable-opencl [!hurd-any]:  This is considered an experimental API.
+#   * --enable-libsoxr:             This is disabled to workaround glibc bug #793641.
 # For the shared libraries there are several ways to build:
 #  * Without further option: This will have no compatibility with Libav, but some sonames clash. Therefore no good choice.
 #  * With --enable-incompatible-libav-abi, packages build against Libav would work with these libraries, but probably not the other way around.
@@ -59,12 +61,15 @@
 	--toolchain=hardened \
 	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
+	--cc=$(CC) \
+	--cxx=$(CXX) \
 	--enable-gpl \
 	--enable-shared \
 	--disable-stripping \
+	--disable-decoder=libopenjpeg \
+	--disable-decoder=libschroedinger \
 	--enable-avresample \
 	--enable-avisynth \
-	--enable-frei0r \
 	--enable-gnutls \
 	--enable-ladspa \
 	--enable-libass \
@@ -87,13 +92,16 @@
 	--enable-librtmp \
 	--enable-libschroedinger \
 	--enable-libshine \
+	--enable-libsnappy \
 	--enable-libspeex \
+	--enable-libssh \
 	--enable-libtheora \
 	--enable-libtwolame \
 	--enable-libvorbis \
 	--enable-libvpx \
 	--enable-libwavpack \
 	--enable-libwebp \
+	--enable-libx265 \
 	--enable-libxvid \
 	--enable-libzvbi \
 	--enable-opengl \
@@ -122,7 +130,7 @@
 # Some libraries are build only on linux.
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	CONFIG += --enable-libdc1394 \
-	--enable-libiec61883
+		--enable-libiec61883
 endif
 
 # Some libraries are not build on hurd.
@@ -130,25 +138,25 @@
 	CONFIG += --enable-libzmq
 endif
 
-# libssh is not available on sparc due to #790067.
-ifneq ($(DEB_HOST_ARCH),sparc)
-	CONFIG += --enable-libssh
-endif
-
-# Some libraries are not available/unusable (#792921) on sparc64.
-ifneq ($(DEB_HOST_ARCH),sparc64)
-	CONFIG += --enable-libsoxr \
-	--enable-libx264
-endif
-
-# OpenCV is not available on some architectures.
-ifeq (,$(filter $(DEB_HOST_ARCH),alpha sh4 sparc64))
-	CONFIG += --enable-libopencv
-endif
-
-# Recent x265 is not available on alpha due to #789807.
-ifeq (,$(filter $(DEB_HOST_ARCH),alpha))
-	CONFIG += --enable-libx265
+# ffmpeg is involed in build-dependency cycles with opencv and x264, so disable them in stage one.
+# Also disable frei0r, which build-depends on opencv.
+ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+	CONFIG += --disable-libx264 --disable-libopencv --disable-frei0r
+else
+	# Some libraries are not available on mips64el.
+	ifeq (,$(filter $(DEB_HOST_ARCH),mips64el))
+		CONFIG += --enable-frei0r
+	endif
+
+	# Some libraries are not available/unusable (#792921) on sparc64/mips64el.
+	ifeq (,$(filter $(DEB_HOST_ARCH),sparc64))
+		CONFIG += --enable-libx264
+	endif
+
+	# OpenCV is not available on some architectures.
+	ifeq (,$(filter $(DEB_HOST_ARCH),sh4 sparc64 mips64el))
+		CONFIG += --enable-libopencv
+	endif
 endif
 
 # Disable i686 optimizations on i386, because they are not always available on this architecture.
@@ -185,9 +193,9 @@
 endif
 
 # Use the default debhelper scripts, where possible.
-# Enable parallel building and move the debug symbols to the debug package.
+# Enable parallel building.
 %:
-	dh $@ --parallel --dbg-package=ffmpeg-dbg
+	dh $@ --parallel
 
 # Add configuration options:
 override_dh_auto_configure:
@@ -201,10 +209,3 @@
 
 # Building the source package fails without this override, because config.mak does not exist in the source.
 # It (and related files) are created by configure and removed by distclean.
-# The folder doc/examples/pc-uninstalled is not removed by distclean, so remove it manually.
-override_dh_auto_clean:
-	[ ! -f config.mak ] || make distclean
-	[ ! -d doc/examples/pc-uninstalled ] || rm -r doc/examples/pc-uninstalled
-	$(foreach flavor,$(FLAVORS),[ ! -d debian/$(flavor) ] || rm -r debian/$(flavor);)
-	# Restore backed up CSS files
-	[ ! -f debian/bootstrap.min.css.bak ] || mv debian/bootstrap.min.css.bak doc/bootstrap.min.css
